import * as cdk from 'aws-cdk-lib';
import * as apigateway from 'aws-cdk-lib/aws-apigateway';
import { Construct } from 'constructs';
export interface ReCaptchaAuthorizerProps {
    readonly reCaptchaSecretKey: string;
    readonly reCaptchaVersion: 'v2' | 'v3';
    readonly v3MinScoreRequired?: number;
    readonly v3Action?: string;
    readonly challangeResponseHeaderName?: string;
}
export declare class ReCaptchaAuthorizer extends apigateway.Authorizer implements apigateway.IAuthorizer {
    readonly authorizerId: string;
    readonly authorizer: apigateway.RequestAuthorizer;
    constructor(scope: Construct, id: string, props: ReCaptchaAuthorizerProps);
    /**
      * Attach the authorizer to an API Gateway RestApi
      * @param restApi The API Gateway RestApi to attach the authorizer to
      * @returns void
      * @internal
    **/
    _attachToApi(restApi: cdk.aws_apigateway.IRestApi): void;
}
